'
' Amazon S3 bucket locations used by SyncBackPro (2BrightSparks Pte. Ltd.)
'
' Do not modify this file unless you know what you are doing or have been instructed to do so. 
'
' IMPORTANT: THIS FILE IS REPLACED WHEN UPDATING OR UPGRADING SYNCBACK
'
' The section names are the location constraint strings as defined by Amazon:
'
' http://docs.aws.amazon.com/general/latest/gr/rande.html#s3_region
'
' default is used (instead of an empty string, which is not a valid section name) for the
' default S3 location (US Standard).
'
' Last modified 17 September 2024
' See https://docs.aws.amazon.com/general/latest/gr/s3.html for official list of regions
' 
[default]
Desc=US Standard
URL=s3.amazonaws.com

[us-west-1]
Desc=US-West (Northern California)
URL=s3-us-west-1.amazonaws.com

[us-west-2]
Desc=US-West (Oregon)
URL=s3-us-west-2.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[us-east-2]
Desc=US-East (Ohio)
URL=s3-us-east-2.amazonaws.com

[eu-west-1]
Desc=Europe (Ireland)
URL=s3-eu-west-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[eu-west-2]
Desc=Europe (London)
URL=s3-eu-west-2.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[eu-west-3]
Desc=Europe (Paris)
URL=s3-eu-west-3.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[eu-central-1]
Desc=Europe (Frankfurt)
URL=s3.eu-central-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[eu-central-2]
Desc=Europe (Zurich)
URL=s3.eu-central-2.amazonaws.com

[ap-southeast-1]
Desc=Asia Pacific (Singapore)
URL=s3-ap-southeast-1.amazonaws.com

[ap-northeast-1]
Desc=Asia Pacific (Tokyo)
URL=s3-ap-northeast-1.amazonaws.com

[sa-east-1]
Desc=South America (Sao Paulo)
URL=s3-sa-east-1.amazonaws.com

[ap-southeast-2]
Desc=Asia Pacific (Sydney)
URL=s3-ap-southeast-2.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-northeast-2]
Desc=Asia Pacific (Seoul)
URL=s3-ap-northeast-2.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-south-1]
Desc=Asia Pacific (Mumbai)
URL=s3-ap-south-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-south-2]
Desc=Asia Pacific (Hyderabad)
URL=s3.ap-south-2.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ca-central-1]
Desc=Canada (Central)
URL=s3-ca-central-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ca-west-1]
Desc=Canada-West (Calgary)
URL=s3.ca-west-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[af-south-1]
Desc=Africa (Cape Town)
URL=s3.af-south-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[eu-south-1]
Desc=Europe (Milan)
URL=s3.eu-south-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[eu-south-2]
Desc=Europe (Spain)
URL=s3.eu-south-2.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[eu-north-1]
Desc=Europe (Stockholm)
URL=s3-eu-north-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-northeast-3]
Desc=Asia Pacific (Osaka)
URL=s3-ap-northeast-3.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[me-south-1]
Desc=Middle East (Bahrain)
URL=s3-me-south-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[me-central-1]
Desc=Middle East (UAE)
URL=s3.me-central-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-southeast-3]
Desc=Asia Pacific (Jakarta)
URL=s3.ap-southeast-3.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-southeast-4]
Desc=Asia Pacific (Melbourne)
URL=s3.ap-southeast-4.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-southeast-5]
Desc=Asia Pacific (Malaysia)
URL=s3.ap-southeast-5.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[ap-east-1]
Desc=Asia Pacific (Hong Kong)
URL=s3-ap-east-1.amazonaws.com

; Uses AWS4-HMAC-SHA256 security
[il-central-1]
Desc=Israel (Tel Aviv)
URL=s3.il-central-1.amazonaws.com
